%global packname   BufferedMatrix 
%global bioc       2.5
%global Rvers      2.10.0

Name:              R-%{packname}
Version:           1.10.0
Release:           1%{?dist}
Summary:           A matrix data storage object method from bioconductor
Summary(fr):       Stockage des données d'un matrice dans un fichier temporaire

Group:             Applications/Engineering
License:           LGPLv2+
URL:               http://bioconductor.org/packages/release/bioc/html/BufferedMatrix.html
Source0:           http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz 
BuildRoot:         %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    R-devel >= %{Rvers} tetex-latex 
Requires:         R >= %{Rvers}
Requires(post):   R 
Requires(postun): R

%package           devel
Summary:           Development files for %{name}
Group:             Development/Libraries
Requires:          %{name} = %{version}	

%description
A tabular style data object where most data is stored outside main memory. 
A buffer is used to speed up access to data.

This library is part of the bioconductor (bioconductor.org) project.

%description -l fr
Une table de données dans laquelle la plus part des données sont stocké,
en dehors de la mémoire principale. Une mémoire tampon est utilisé pour
accélérer l'accès aux données.

%description    devel
The %{name}-devel  package contains Header and libraries files for
developing applications that use %{name}

%prep
%setup -c -q -n %{packname}

%build

%install
rm -rf %{buildroot}i
sed -i -e 's/\r$//' %{packname}/inst/doc/BufferedMatrix.Rnw

mkdir -p %{buildroot}%{_libdir}/R/library 
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}

# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

## Change the header of place for the -devel --> Removed 
## see: https://www.redhat.com/archives/fedora-r-devel-list/2009-March/msg00001.html

#mkdir -p  $RPM_BUILD_ROOT%{_datadir}/R/library/%{packname}/include/
#install -D %{packname}/inst/include/*  $RPM_BUILD_ROOT%{_datadir}/R/library/%{packname}/include/
#chmod -x $RPM_BUILD_ROOT%{_datadir}/R/library/%{packname}/include/*
#rm -rf %{buildroot}%{_libdir}/R/library/%{packname}/include/

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta/
%{_libdir}/R/library/%{packname}/R/
%{_libdir}/R/library/%{packname}/help/
%{_libdir}/R/library/%{packname}/libs/
%{_libdir}/R/library/%{packname}/NAMESPACE
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html

%files		devel
%defattr(-,root,root,-)
%{_libdir}/R/library/%{packname}/include/


%changelog
* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 1.10.0-1
- Update to 1.10.0
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 28 2009 pingou <pingou@pingoured.fr> 1.8.0-1
- Update to Bioconductor 2.4 and R-2.9.0

* Sun Mar 22 2009 pingou <pingou@pingoured.fr> - 1.6.0-2
- -devel should contain only the folder include  !

* Sat Mar 21 2009 pingou <pingou@pingoured.fr> - 1.6.0-1
- Update to Biocondutor 2.3
- Put back the headers to libdir instead of moving them to datadir

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Pingou <pingoufc4@yahoo.fr> 1.4.0-2
- Change own directory -- #473617

* Fri May 02 2008 Pingou <pingoufc4@yahoo.fr> 1.4.0-1
- Update to bioconductor 2.2

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.0-5
- Autorebuild for GCC 4.3

* Sat Feb 09 2008 Pingou <pingoufc4@yahoo.fr> 1.2.0-4
- Typo error on the changelog

* Sat Feb 09 2008 Pingou <pingoufc4@yahoo.fr> 1.2.0-3
- Change the URL

* Tue Jan 08 2008 Pingou <pingoufc4@yahoo.fr> 1.2.0-2
- Change on the BR

* Tue Nov 27 2007 Pingou <pingoufc4@yahoo.fr> 1.2.0-1
- Update to version 1.2.0

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.0.1-6
- Rebuild for selinux ppc32 issue.

* Wed Jul 11 2007 Pingou <pingoufc4@yahoo.fr> 1.0.1-5
- Change in the files section to fit the guidelines

* Wed Jul 11 2007 Pingou <pingoufc4@yahoo.fr> 1.0.1-4
- Change in the spec to remove the %%{__**} form in the macro

* Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 1.0.1-3
- Change in post and postun to fit the packaging guidelines
- Change in the prep section to fit the guidelines

* Thu Jul 05 2007 Pingou <pingoufc4@yahoo.fr> 1.0.1-2
- Fix install include

* Mon Jul 02 2007 Pingou <pingoufc4@yahoo.fr> 1.0.1-1
- initial package for Fedora

